//+------------------------------------------------------------------+
//|                                                                  |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern string WaveLine = "1";
string WD;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
   datetime t1, t2;
   double p1, p2;

   if (ObjectType(WaveLine)== OBJ_TREND) {
      t1 = (datetime)ObjectGet(WaveLine, OBJPROP_TIME1);
      t2 = (datetime)ObjectGet(WaveLine, OBJPROP_TIME2);
      p1 = ObjectGet(WaveLine, OBJPROP_PRICE1);
      p2 = ObjectGet(WaveLine, OBJPROP_PRICE2);
      WD = ObjectDescription(WaveLine);
      ObjectSet(WaveLine, OBJPROP_COLOR, clrRed);
      ObjectSet(WaveLine, OBJPROP_STYLE, STYLE_DOT);    
      ObjectSet(WaveLine, OBJPROP_WIDTH, 0);    
      ObjectSet(WaveLine, OBJPROP_RAY, False);
      ObjectSetText(WaveLine, WaveLine);
   }
   return(0); 
} 
//+------------------------------------------------------------------+
